Skip to content

Draws

GET
/v1/draws
curl --request GET \
--url https://api.tako.wtf/v1/draws
vault
string

Only draws of this vault

limit
integer
>= 1 <= 200

Page size, 1–200, default 50

OK

Media typeapplication/json
Array<object>
object
vault
required

User-friendly address

string
id
required
integer
>= -9007199254740991 <= 9007199254740991
closedAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
round
required

Drand round the draw waits for

string | null
revealedAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
randomness
required

Sha256 of the drand signature, hex

string | null
principal
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
winner
required
Any of:

User-friendly address

string
prizeTotal
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
prizeCount
required
integer
>= -9007199254740991 <= 9007199254740991

Example generated

[
{
"vault": "example",
"id": 1,
"closedAt": 1,
"round": "example",
"revealedAt": 1,
"randomness": "example",
"principal": "example",
"winner": "example",
"prizeTotal": "example",
"prizeCount": 1
}
]

Invalid parameter

Media typeapplication/json
object
error
required
string

Example generated

{
"error": "example"
}